Download OpenAPI specification:
In order to dramatically improve our offerings to customers, Seamless will be introducing a Public API which can be used to search Companies & Contacts, Enrich Lists, and offer integrations as an Endpoint for our customers.
The API is build using RESTful principles and is secured using OAuth 2.0 with the implicit grant flow.
To use the Seamless API, you need to register your application to obtain an API key. To create a new API key, go to Seamless.AI | Settings > API Key and click the Create New Connection button. Note: The Public API Connections menu will only appear if your account has access to the Public API.
For all authenticated API requests, include the API key in the header:
Token: API_KEY
Before integrating, you have to setup your client credentials.
To create a new API client, go to Seamless.AI | Settings > OAuth Connections, and click the Create New Connection button.
Note: The Public API Connections menu will only appear if your account has access to the Public API.
client_idclient_secretredirect_uriYou’ll use these to authenticate and obtain tokens.
Redirect the user to Seamless.AI's OAuth authorization endpoint:
GET https://login-qa.seamless.ai/oauth/authorize
| Name | Description |
|---|---|
client_id |
Your client ID |
redirect_uri |
The URL users are redirected to |
state |
(Optional) CSRF protection string |
Example URL:
GET https://login-qa.seamless.ai/oauth/authorize?client_id=YOUR_CLIENT_ID&redirect_uri=https://yourapp.com/callback
Once the user authenticates, they will be redirected to your redirect_uri with a code parameter.
If your redirect_uri contains any query parameters (such as ?foo=bar), you must URL encode your redirect_uri for this step.
POST https://api-qa.seamless.ai/api/client/v1/oauth/accessToken
{
"client_id": "YOUR_CLIENT_ID",
"client_secret": "YOUR_CLIENT_SECRET",
"redirect_uri": "https://yourapp.com/callback",
"grant_type": "authorization_code",
"code": "AUTHORIZATION_CODE_FROM_STEP_2"
}
{
"access_token": "ACCESS_TOKEN",
"refresh_token": "REFRESH_TOKEN",
"expires_at": 1712000000
}
For all authenticated API requests, include the token in the header:
Authorization: Bearer ACCESS_TOKEN
To refresh the access token:
POST https://api-qa.seamless.ai/api/client/v1/oauth/accessToken
{
"client_Id": "YOUR_CLIENT_ID",
"client_secret": "YOUR_CLIENT_SECRET",
"redirect_uri": "https://yourapp.com/callback",
"grant_type": "refresh_token",
"refresh_token": "YOUR_REFRESH_TOKEN"
}
The limit is currently around 100 requests per 60 seconds per Endpoint. You will receive a 429 HTTP response if you exceed the rate limit.
Rate limit and remaining credits information will be returned in the response header of each request. The parameters are:
| Name | Example | Description |
|---|---|---|
X-RateLimit-Limit |
100 | The maximum number of requests you're permitted to make in a given time period. |
X-RateLimit-Remaining |
55 | The number of requests remaining in the current rate limit window. |
X-RateLimit-Reset |
1745587198 | The time at which the current rate limit window resets in epoch seconds. |
X-PublicAPI-Credits |
1000 | The number of credits remaining that can be used in requests. |
| client_id | string |
| client_secret | string |
| redirect_uri | string |
| grant_type required | string Enum: "authorization_code" "refresh_token" |
| code | string Required if grant_type is authorization_code |
| refresh_token | string Required if grant_type is refresh_token |
{- "client_id": "string",
- "client_secret": "string",
- "redirect_uri": "string",
- "grant_type": "authorization_code",
- "code": "string",
- "refresh_token": "string"
}{- "access_token": "string",
- "expires_at": 0,
- "refresh_token": "string"
}| nextToken | string Default: null The next token for pagination. |
| limit | integer Default: 50 The number of contacts per page. |
| companyName | Array of strings <= 100 items Contact company name search filter. |
| companyNameSearchType | string Default: "default" Enum: "default" "related" "exact" The type of search to perform on the company name. |
| companyDomain | Array of strings <= 100 items Contact company domain search filter. |
| contactState | Array of strings <= 10 items Items Enum: "NY" "Texas" "Florida" "VA" "CA" Contact or Company state search filter. Sample enum values for documentation only (not exhaustive; actual values come from API/typeahead). |
| contactCountry | Array of strings <= 10 items Items Enum: "United States" "Canada" "United Kingdom" "Germany" "Australia" Contact or Company country search filter. Sample enum values for documentation only (not exhaustive; actual values come from API/typeahead). |
| contactZipCode | Array of strings <= 10 items Items Enum: "10001" "30301" "33101" "60601" "94105" Contact or Company zipcode search filter. Sample enum values for documentation only (not exhaustive; actual values come from API/typeahead). |
| locationType | string Default: "bothOR" Enum: "bothOR" "bothAND" "company" "contact" You can search by contacts’ location(contact), the companies’ location(company), both Contact And company(bothAND), or both contact Or company(bothOR). |
| department | Array of strings <= 5 items Items Enum: "Sales" "Marketing" "Engineering" "Human Resources" "Finance" "IT" "Engineering" "Operations" "Support" "Legal" "Project Management" "Other" Contact department search filter. |
| industry | Array of strings <= 5 items Items Enum: "Aerospace & Defense" "Airlines & Aviation" "Aviation & Aerospace" "Defense & Space" "Military" "Agriculture" "Farming" "Horticulture" "Ranching" "Tobacco" "Apparel & Fashion" "Textiles" "Automotive" "Chemicals & Materials" "Chemicals" "Plastics" "Consumer Goods & Retail" "Consumer Goods" "Luxury Goods & Jewelry" "Retail" "Sporting Goods" "Education & Training" "E-Learning" "Education Management" "Higher Education" "Libraries" "Primary/Secondary Education" "Electronics & Hardware" "Computer Hardware" "Consumer Electronics" "Electrical & Electronic Manufacturing" "Semiconductors" "Energy & Utilities" "Oil & Energy" "Utilities" "Entertainment" "Animation" "Arts & Crafts" "Computer Games" "Fine Art" "Gambling & Casinos" "Mobile Games" "Motion Pictures & Film" "Music" "Performing Arts" "Photography" "Recreational Facilities & Services" "Sports" "Environmental" "Environmental Services" "Renewables & Environment" "Finance & Banking" "Banking" "Capital Markets" "Financial Services" "Investment Banking" "Investment Management" "Venture Capital & Private Equity" "Food & Beverage" "Dairy" "Fishery" "Food & Beverages" "Food Production" "Restaurants" "Supermarkets" "Wine & Spirits" "Government & Public Policy" "Executive Office" "Government Administration" "Government Relations" "Judiciary" "Law Enforcement" "Legislative Office" "Political Organization" "Public Policy" "Public Safety" "Health & Wellness" "Alternative Medicine" "Health, Wellness and Fitness" "Hospital & Health Care" "Medical Practice" "Mental Health Care" "Veterinary" "Hospitality & Tourism" "Events Services" "Hospitality" "Leisure, Travel & Tourism" "Museums & Institutions" "Household, Personal, & Beauty" "Consumer Services" "Cosmetics" "Furniture" "Individual & Family Services" "Insurance" "Internet & E-Commerce" "Internet" "Manufacturing & Engineering" "Civil Engineering" "Industrial Automation" "Machinery" "Mechanical or Industrial Engineering" "Railroad Manufacture" "Shipbuilding" "Marketing & Media" "Broadcast Media" "Graphic Design" "Marketing & Advertising" "Media Production" "Newspapers" "Online Media" "Printing" "Public Relations & Communications" "Publishing" "Writing & Editing" "Metals, Mining & Materials" "Building Materials" "Glass, Ceramics & Concrete" "Mining & Metals" "Paper & Forest Products" "Non-Profit" "Fund-Raising" "Non-Profit Organization Management" "Philanthropy" "Religious Institutions" "Pharmaceuticals & Medical Devices" "Biotechnology" "Medical Devices" "Nanotechnology" "Pharmaceuticals" "Professional Services & Consulting" "Accounting" "Alternative Dispute Resolution" "Civic & Social Organization" "Design" "Human Resources" "International Affairs" "International Trade & Development" "Law Practice" "Legal Services" "Management Consulting" "Market Research" "Outsourcing/Offshoring" "Professional Training & Coaching" "Program Development" "Research" "Security & Investigations" "Staffing & Recruiting" "Think Tanks" "Real Estate & Construction" "Architecture & Planning" "Commercial Real Estate" "Construction" "Facilities Services" "Real Estate" "Software & Information Technology" "Computer & Network Security" "Computer Software" "Information Services" "Information Technology & Services" "Software Development" "Telecommunications & Networking" "Computer Networking" "Telecommunications" "Wireless" "Transportation & Logistics" "Logistics & Supply Chain" "Maritime" "Package/Freight Delivery" "Packaging & Containers" "Translation & Localization" "Transportation/Trucking/Railroad" "Wholesale & Distribution" "Business Supplies & Equipment" "Import & Export" "Warehousing" "Wholesale" Contact industry search filter. |
| fullname | Array of strings <= 10 items Contact fullname search filter. |
| contactKeyword | Array of strings <= 10 items Contact keyword search filter. |
| jobTitle | Array of strings <= 10 items Contact job title search filter. |
| seniority | Array of strings <= 5 items Items Enum: "C-Level" "VP" "Director" "Manager" "Senior" "Entry Level" "Mid-Level" "Other" Contact seniority search filter. |
| companyFoundedOn | Array of strings <= 4 items Items Enum: "Less than 1 Year" "Last 1-3 Years" "Last 4-10 Years" "10+ Years" Range of years since the company was founded. |
| companySize | Array of strings <= 10 items Items Enum: "0 - 1 (Self-employed)" "2 - 10" "11 - 50" "51 - 200" "201 - 500" "501 - 1,000" "1,001 - 5,000" "5,001 - 10,000" "10,001+" Company size search filter. |
| companyRevenue | Array of strings <= 10 items Items Enum: "$0 - $100K" "$100K - $1M" "$1M - $5M" "$5M - $20M" "$20M - $50M" "$50M - $100M" "$100M - $500M" "$500M - $1B" "$1B+" Company revenue search filter. |
| technologies | Array of strings <= 10 items Items Enum: "Salesforce" "HubSpot" "Marketo" "Outreach" "Apollo" Company technologies search filter. Sample enum values for documentation only (not exhaustive; actual values come from API/typeahead). |
| technologiesIsOr | boolean If true, matches contacts where the company uses any of the specified technologies (OR). If false, matches only companies using all specified technologies (AND). |
| lastModifiedAfter | string <date> Filter on the lastModifiedAt(The last time the name, title, company, phone, or email changed). |
| lastModifiedBefore | string <date> Filter on the lastModifiedAt(The last time the name, title, company, phone, or email changed). |
{- "nextToken": null,
- "limit": 50,
- "companyName": [
- "Seamless.AI"
], - "companyNameSearchType": "default",
- "companyDomain": [ ],
- "contactState": [ ],
- "contactCountry": [ ],
- "contactZipCode": [ ],
- "locationType": "bothOR",
- "department": [ ],
- "industry": [ ],
- "fullname": [ ],
- "contactKeyword": [ ],
- "jobTitle": [ ],
- "seniority": [ ],
- "companyFoundedOn": [
- "Less than 1 Year",
- "Last 1-3 Years"
], - "companySize": [ ],
- "companyRevenue": [ ],
- "technologies": [ ],
- "technologiesIsOr": true,
- "lastModifiedAfter": "2025-09-01T11:00:00Z",
- "lastModifiedBefore": "2025-09-07T11:00:00Z"
}{- "data": [
- {
- "searchResultId": "string",
- "name": "string",
- "company": "string",
- "title": "string",
- "department": "string",
- "seniority": "string",
- "domain": "string",
- "city": "string",
- "state": "string",
- "country": "string",
- "companyCity": "string",
- "companyState": "string",
- "companyCountry": "string",
- "liUrl": "string",
- "companyLIProfileUrl": "string",
- "sicCode": "string",
- "industries": [
- "string"
], - "companyFoundedOn": "2019-08-24",
- "companyRevenue": "string",
- "employeeSizeRange": "string",
- "timezone": "string",
- "lastModifiedAt": "string"
}
], - "supplementalData": {
- "isMore": true,
- "total": 0,
- "perPage": 0,
- "nextToken": "string"
}
}| nextToken | string Default: null The next token for pagination. |
| limit | integer Default: 50 The number of contacts per page. |
| companyName | Array of strings <= 100 items Company name search filter. |
| companyNameSearchType | string Default: "default" Enum: "default" "related" "exact" The type of search to perform on the company name. |
| companyDomain | Array of strings <= 100 items Company domain search filter. |
| companyState | Array of strings <= 10 items Items Enum: "NY" "Texas" "Florida" "VA" "CA" Company state search filter. Sample enum values for documentation only (not exhaustive; actual values come from API/typeahead). |
| companyCountry | Array of strings <= 10 items Items Enum: "United States" "Canada" "United Kingdom" "Germany" "Australia" Company country search filter. Sample enum values for documentation only (not exhaustive; actual values come from API/typeahead). |
| companyZipCode | Array of strings <= 10 items Items Enum: "10001" "30301" "33101" "60601" "94105" Company zipcode search filter. Sample enum values for documentation only (not exhaustive; actual values come from API/typeahead). |
| industry | Array of strings <= 5 items Items Enum: "Accounting" "Airlines/Aviation" "Alternative Dispute Resolution" "Alternative Medicine" "Animation" "Apparel & Fashion" "Architecture & Planning" "Arts and Crafts" "Automotive" "Aviation & Aerospace" "Banking" "Biotechnology" "Broadcast Media" "Building Materials" "Business Supplies and Equipment" "Capital Markets" "Chemicals" "Civic & Social Organization" "Civil Engineering" "Commercial Real Estate" "Computer & Network Security" "Computer Games" "Computer Hardware" "Computer Networking" "Computer Software" "Construction" "Consumer Electronics" "Consumer Goods" "Consumer Services" "Cosmetics" "Dairy" "Defense & Space" "Design" "E-Learning" "Education Management" "Electrical/Electronic Manufacturing" "Entertainment" "Environmental Services" "Events Services" "Executive Office" "Facilities Services" "Farming" "Financial Services" "Fine Art" "Fishery" "Food & Beverages" "Food Production" "Fund-Raising" "Furniture" "Gambling & Casinos" "Glass, Ceramics & Concrete" "Government Administration" "Government Relations" "Graphic Design" "Health, Wellness and Fitness" "Higher Education" "Hospital & Health Care" "Hospitality" "Human Resources" "Import and Export" "Individual & Family Services" "Industrial Automation" "Information Services" "Information Technology and Services" "Insurance" "International Affairs" "International Trade and Development" "Internet" "Investment Banking" "Investment Management" "Judiciary" "Law Enforcement" "Law Practice" "Legal Services" "Legislative Office" "Leisure, Travel & Tourism" "Libraries" "Logistics and Supply Chain" "Luxury Goods & Jewelry" "Machinery" "Management Consulting" "Maritime" "Market Research" "Marketing and Advertising" "Mechanical or Industrial Engineering" "Media Production" "Medical Devices" "Medical Practice" "Mental Health Care" "Military" "Mining & Metals" "Motion Pictures and Film" "Museums and Institutions" "Music" "Nanotechnology" "Newspapers" "Non-Profit Organization Management" "Oil & Energy" "Online Media" "Outsourcing/Offshoring" "Package/Freight Delivery" "Packaging and Containers" "Paper & Forest Products" "Performing Arts" "Pharmaceuticals" "Philanthropy" "Photography" "Plastics" "Political Organization" "Primary/Secondary Education" "Printing" "Professional Training & Coaching" "Program Development" "Public Policy" "Public Relations and Communications" "Public Safety" "Publishing" "Railroad Manufacture" "Ranching" "Real Estate" "Recreational Facilities and Services" "Religious Institutions" "Renewables & Environment" "Research" "Restaurants" "Retail" "Security and Investigations" "Semiconductors" "Shipbuilding" "Sporting Goods" "Sports" "Staffing and Recruiting" "Supermarkets" "Telecommunications" "Textiles" "Think Tanks" "Tobacco" "Translation and Localization" "Transportation/Trucking/Railroad" "Utilities" "Venture Capital & Private Equity" "Veterinary" "Warehousing" "Wholesale" "Wine and Spirits" "Wireless" "Writing and Editing" Company industry search filter. Valid values are the fixed industry list below. |
| companyKeyword | Array of strings <= 10 items Company keyword search filter. |
| companySize | Array of strings <= 10 items Items Enum: "0 - 1 (Self-employed)" "2 - 10" "11 - 50" "51 - 200" "201 - 500" "501 - 1,000" "1,001 - 5,000" "5,001 - 10,000" "10,001+" Company size search filter. |
| companyRevenue | Array of strings <= 10 items Items Enum: "$0 - $100K" "$100K - $1M" "$1M - $5M" "$5M - $20M" "$20M - $50M" "$50M - $100M" "$100M - $500M" "$500M - $1B" "$1B+" Company revenue search filter. |
| technologies | Array of strings <= 10 items Items Enum: "Salesforce" "HubSpot" "Marketo" "Outreach" "Apollo" Company technologies search filter. Sample enum values for documentation only (not exhaustive; actual values come from API/typeahead). |
| technologiesIsOr | boolean If true, matches companies using any of the specified technologies (OR). If false, matches only companies using all specified technologies (AND). |
| foundedOn | Array of strings <= 4 items Items Enum: "Less than 1 Year" "Last 1-3 Years" "Last 4-10 Years" "10+ Years" Range of years since the company was founded. |
{- "nextToken": null,
- "limit": 50,
- "companyName": [
- "Seamless AI"
], - "companyNameSearchType": "default",
- "companyDomain": [ ],
- "companyState": [ ],
- "companyCountry": [ ],
- "companyZipCode": [ ],
- "industry": [
- "Information Technology and Services"
], - "companyKeyword": [ ],
- "companySize": [ ],
- "companyRevenue": [ ],
- "technologies": [ ],
- "technologiesIsOr": true,
- "foundedOn": [
- "Less than 1 Year",
- "Last 1-3 Years"
]
}{- "data": [
- {
- "searchResultId": "string",
- "name": "string",
- "street1": "string",
- "street2": "string",
- "street3": "string",
- "city": "string",
- "state": "string",
- "postCode": "string",
- "country": "string",
- "domain": "string",
- "description": "string",
- "liUrl": "string",
- "sicCode": "string",
- "industries": [
- "string"
], - "revenueRange": "string",
- "annualRevenue": "string",
- "staffCountRange": "string",
- "employeeCount": "string",
- "numContacts": "string",
- "technologies": [
- "string"
], - "linkedInId": "string",
- "companyLIURL": "string",
- "foundedOn": "2019-08-24"
}
], - "supplementalData": {
- "isMore": true,
- "total": 0,
- "perPage": 0,
- "nextToken": "string"
}
}Pushes the results of a company research request. To create a webhook, go to Seamless.AI | Settings > Webhooks and click the Create New Webhook button and select Contact Research as the type.
| username | string |
| createdAt | string |
| updatedAt | string |
| firstName | string |
| middleName | string |
| lastName | string |
| fullName | string |
| name | string |
| nameOriginal | string |
string | |
| personalEmail | string |
| phone | string |
| contactPhone1 | string |
| contactPhone1DataType | string |
| contactPhone1TotalAI | string |
| companyPhone1 | string |
| companyPhone1DataType | string |
| companyPhone1TotalAI | string |
| company | string |
| companyOriginal | string |
| companyIndustry | string |
| companyStaffCount | integer |
| companyStaffCountRange | string |
| companyAnnualRevenue | string |
| companyDomain | string |
| companyRevenueRange | string |
| companyLIProfileUrl | string |
| companyLinkedInId | string |
| title | string |
| lIProfileUrl | string |
| lISalesNavUrl | string |
| lIRecruiterUrl | string |
object | |
object | |
| website | string |
| email1 | string |
| email1Selected | boolean |
| email1TotalAI | string |
| email1EmailAI | string |
| email2 | string |
| email2TotalAI | string |
| email2EmailAI | string |
| email3 | string |
| email3TotalAI | string |
| email3EmailAI | string |
Array of objects Contact's job history (requires Job Changes feature flag access) | |
| apiResearchId | string The Id return from the /contacts/research endpoint |
{- "username": "string",
- "createdAt": "string",
- "updatedAt": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "name": "string",
- "nameOriginal": "string",
- "email": "string",
- "personalEmail": "string",
- "phone": "string",
- "contactPhone1": "string",
- "contactPhone1DataType": "string",
- "contactPhone1TotalAI": "string",
- "companyPhone1": "string",
- "companyPhone1DataType": "string",
- "companyPhone1TotalAI": "string",
- "company": "string",
- "companyOriginal": "string",
- "companyIndustry": "string",
- "companyStaffCount": 0,
- "companyStaffCountRange": "string",
- "companyAnnualRevenue": "string",
- "companyDomain": "string",
- "companyRevenueRange": "string",
- "companyLIProfileUrl": "string",
- "companyLinkedInId": "string",
- "title": "string",
- "lIProfileUrl": "string",
- "lISalesNavUrl": "string",
- "lIRecruiterUrl": "string",
- "contactLocation": {
- "city": "string",
- "state": "string",
- "postCode": "string",
- "county": "string",
- "country": "string",
- "stateAbbr": "string",
- "countryAbbr": "string",
- "countryAlpha2": "string",
- "countryAlpha3": "string",
- "countryNumeric": "string",
- "fullString": "string",
- "timezone": "string",
- "timezoneRawOffset": "string",
- "timezoneAbbr": "string"
}, - "companyLocation": {
- "street1": "string",
- "street2": "string",
- "street3": "string",
- "city": "string",
- "state": "string",
- "postCode": "string",
- "county": "string",
- "country": "string",
- "stateAbbr": "string",
- "countryAbbr": "string",
- "countryAlpha2": "string",
- "countryAlpha3": "string",
- "countryNumeric": "string",
- "fullString": "string"
}, - "website": "string",
- "email1": "string",
- "email1Selected": true,
- "email1TotalAI": "string",
- "email1EmailAI": "string",
- "email2": "string",
- "email2TotalAI": "string",
- "email2EmailAI": "string",
- "email3": "string",
- "email3TotalAI": "string",
- "email3EmailAI": "string",
- "jobHistory": [
- {
- "companyName": "string",
- "title": "string",
- "startedAt": "2019-08-24T14:15:22Z",
- "endedAt": "2019-08-24T14:15:22Z"
}
], - "apiResearchId": "string"
}Research contacts by searchResultId from contact search results or Contact enrich
| searchResultIds | Array of strings <= 100 items The search result IDs to research |
| isJobChange | boolean |
Array of objects <= 100 items Contact enrich, must include one of the following properties:
When isJobChange flag is set to true, searchResultIds should not be used. |
{- "searchResultIds": [
- "searchResultId1",
- "searchResultId2"
]
}{- "requestIds": [
- "string"
]
}Get the results/status of a contact research request
| requestIds required | Array of strings [ 1 .. 100 ] items Example: requestIds=1,2,3,4,5 The id of the research request. |
{- "success": true,
- "data": [
- {
- "requestId": "string",
- "searchResultId": "string",
- "status": "string",
- "message": "string",
- "contact": {
- "username": "string",
- "createdAt": "string",
- "updatedAt": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "name": "string",
- "nameOriginal": "string",
- "email": "string",
- "personalEmail": "string",
- "phone": "string",
- "contactPhone1": "string",
- "contactPhone1DataType": "string",
- "contactPhone1TotalAI": "string",
- "companyPhone1": "string",
- "companyPhone1DataType": "string",
- "companyPhone1TotalAI": "string",
- "company": "string",
- "companyOriginal": "string",
- "companyIndustry": "string",
- "companyStaffCount": 0,
- "companyStaffCountRange": "string",
- "companyAnnualRevenue": "string",
- "companyDomain": "string",
- "companyRevenueRange": "string",
- "companyLIProfileUrl": "string",
- "companyLinkedInId": "string",
- "title": "string",
- "lIProfileUrl": "string",
- "lISalesNavUrl": "string",
- "lIRecruiterUrl": "string",
- "contactLocation": {
- "city": "string",
- "state": "string",
- "postCode": "string",
- "county": "string",
- "country": "string",
- "stateAbbr": "string",
- "countryAbbr": "string",
- "countryAlpha2": "string",
- "countryAlpha3": "string",
- "countryNumeric": "string",
- "fullString": "string",
- "timezone": "string",
- "timezoneRawOffset": "string",
- "timezoneAbbr": "string"
}, - "companyLocation": {
- "street1": "string",
- "street2": "string",
- "street3": "string",
- "city": "string",
- "state": "string",
- "postCode": "string",
- "county": "string",
- "country": "string",
- "stateAbbr": "string",
- "countryAbbr": "string",
- "countryAlpha2": "string",
- "countryAlpha3": "string",
- "countryNumeric": "string",
- "fullString": "string"
}, - "website": "string",
- "email1": "string",
- "email1Selected": true,
- "email1TotalAI": "string",
- "email1EmailAI": "string",
- "email2": "string",
- "email2TotalAI": "string",
- "email2EmailAI": "string",
- "email3": "string",
- "email3TotalAI": "string",
- "email3EmailAI": "string",
- "jobHistory": [
- {
- "companyName": "string",
- "title": "string",
- "startedAt": "2019-08-24T14:15:22Z",
- "endedAt": "2019-08-24T14:15:22Z"
}
], - "apiResearchId": "string"
}
}
]
}Pushes the results of a company research request. To create a webhook, go to Seamless.AI | Settings > Webhooks and click the Create New Webhook button and select Company Research as the type.
| advertisingIntelligenceUrl | string |
| alexaScoreUrl | string |
| annualRevenue | string |
| apiResearchId | string The API research identifier for companies created through API research |
| phones | string |
| phonesAiScores | string |
| createdAt | string |
| description | string |
| domain | string |
| employeeReviewsUrl | string |
| foundedOn | string |
| googleFinanceUrl | string |
| googleResearchUrl | string |
| industries | string |
| intelUrl | string |
| jobPostingsUrl | string |
| linkedInProfileUrl | string |
| linkedInId | string |
| localSportsTeamsUrl | string |
| localWeatherUrl | string |
object | |
| name | string |
| newsUrl | string |
| paidSearchIntelligenceUrl | string |
| paidSearchKeywordsIntelligenceUrl | string |
| revenueRange | string |
| searchMarketingIntelligenceUrl | string |
| secFilingsUrl | string |
| seoResearchUrl | string |
| sicCode | string |
| similarWebsitesUrl | string |
| socialMediaMentionsUrl | string |
| socialMediaPostsUrl | string |
| socialPostsUrl | string |
| staffCount | string |
| staffCountRange | string |
| topTechnologies | string |
| updatedAt | string |
| webTechnologiesUrl | string |
| websiteAuditUrl | string |
| websiteAudit2Url | string |
| websiteGraderUrl | string |
| whoisUrl | string |
| wikipediaUrl | string |
| yahooFinanceUrl | string |
{- "advertisingIntelligenceUrl": "string",
- "alexaScoreUrl": "string",
- "annualRevenue": "string",
- "apiResearchId": "research-123",
- "phones": "string",
- "phonesAiScores": "string",
- "createdAt": "2024-04-21T14:30:00.000Z",
- "description": "string",
- "domain": "string",
- "employeeReviewsUrl": "string",
- "foundedOn": "string",
- "googleFinanceUrl": "string",
- "googleResearchUrl": "string",
- "industries": "string",
- "intelUrl": "string",
- "jobPostingsUrl": "string",
- "linkedInProfileUrl": "string",
- "linkedInId": "string",
- "localSportsTeamsUrl": "string",
- "localWeatherUrl": "string",
- "location": {
- "street1": "string",
- "city": "string",
- "state": "string",
- "postCode": "string",
- "country": "string",
- "countryAbbr": "string",
- "countryAlpha2": "string",
- "countryAlpha3": "string",
- "fullString": "string"
}, - "name": "string",
- "newsUrl": "string",
- "paidSearchIntelligenceUrl": "string",
- "paidSearchKeywordsIntelligenceUrl": "string",
- "revenueRange": "string",
- "searchMarketingIntelligenceUrl": "string",
- "secFilingsUrl": "string",
- "seoResearchUrl": "string",
- "sicCode": "string",
- "similarWebsitesUrl": "string",
- "socialMediaMentionsUrl": "string",
- "socialMediaPostsUrl": "string",
- "socialPostsUrl": "string",
- "staffCount": "string",
- "staffCountRange": "string",
- "topTechnologies": "string",
- "updatedAt": "2024-04-21T14:30:00.000Z",
- "webTechnologiesUrl": "string",
- "websiteAuditUrl": "string",
- "websiteAudit2Url": "string",
- "websiteGraderUrl": "string",
- "whoisUrl": "string",
- "wikipediaUrl": "string",
- "yahooFinanceUrl": "string"
}Research companies by searchResultId from company search results
| searchResultIds | Array of strings <= 100 items |
Array of objects <= 100 items Must include one of the following properties:
|
{- "searchResultIds": [
- "string"
], - "companies": [
- {
- "domain": "string",
- "companyName": "string"
}
]
}{- "requestIds": [
- "string"
]
}Get the results/status of a company research
| requestIds required | Array of strings [ 1 .. 100 ] items Example: requestIds=1,2,3,4,5 The id of the research request. |
{- "data": {
- "requestId": "string",
- "status": "string",
- "results": [
- {
- "advertisingIntelligenceUrl": "string",
- "alexaScoreUrl": "string",
- "annualRevenue": "string",
- "apiResearchId": "research-123",
- "phones": "string",
- "phonesAiScores": "string",
- "createdAt": "2024-04-21T14:30:00.000Z",
- "description": "string",
- "domain": "string",
- "employeeReviewsUrl": "string",
- "foundedOn": "string",
- "googleFinanceUrl": "string",
- "googleResearchUrl": "string",
- "industries": "string",
- "intelUrl": "string",
- "jobPostingsUrl": "string",
- "linkedInProfileUrl": "string",
- "linkedInId": "string",
- "localSportsTeamsUrl": "string",
- "localWeatherUrl": "string",
- "location": {
- "street1": "string",
- "city": "string",
- "state": "string",
- "postCode": "string",
- "country": "string",
- "countryAbbr": "string",
- "countryAlpha2": "string",
- "countryAlpha3": "string",
- "fullString": "string"
}, - "name": "string",
- "newsUrl": "string",
- "paidSearchIntelligenceUrl": "string",
- "paidSearchKeywordsIntelligenceUrl": "string",
- "revenueRange": "string",
- "searchMarketingIntelligenceUrl": "string",
- "secFilingsUrl": "string",
- "seoResearchUrl": "string",
- "sicCode": "string",
- "similarWebsitesUrl": "string",
- "socialMediaMentionsUrl": "string",
- "socialMediaPostsUrl": "string",
- "socialPostsUrl": "string",
- "staffCount": "string",
- "staffCountRange": "string",
- "topTechnologies": "string",
- "updatedAt": "2024-04-21T14:30:00.000Z",
- "webTechnologiesUrl": "string",
- "websiteAuditUrl": "string",
- "websiteAudit2Url": "string",
- "websiteGraderUrl": "string",
- "whoisUrl": "string",
- "wikipediaUrl": "string",
- "yahooFinanceUrl": "string"
}
]
}
}Get a list of contacts from your orgs
| page | integer Default: 1 Example: page=1 The page number to retrieve. |
| limit | integer <= 500 Default: 500 Example: limit=100 The number of results per page. |
| startDate required | string <date> Example: startDate=2020-01-01T10:00:00Z An ISO8601 date time string that defines the start date of the lookback period to return results from. |
| endDate required | string <date> Example: endDate=2020-01-01T11:00:00Z An ISO8601 date time string that defines the end date of the lookback period to return results from. |
{- "data": [
- {
- "username": "string",
- "createdAt": "string",
- "updatedAt": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "name": "string",
- "nameOriginal": "string",
- "email": "string",
- "personalEmail": "string",
- "phone": "string",
- "contactPhone1": "string",
- "contactPhone1DataType": "string",
- "contactPhone1TotalAI": "string",
- "companyPhone1": "string",
- "companyPhone1DataType": "string",
- "companyPhone1TotalAI": "string",
- "company": "string",
- "companyOriginal": "string",
- "companyIndustry": "string",
- "companyStaffCount": 0,
- "companyStaffCountRange": "string",
- "companyAnnualRevenue": "string",
- "companyDomain": "string",
- "companyRevenueRange": "string",
- "companyLIProfileUrl": "string",
- "companyLinkedInId": "string",
- "title": "string",
- "lIProfileUrl": "string",
- "lISalesNavUrl": "string",
- "lIRecruiterUrl": "string",
- "contactLocation": {
- "city": "string",
- "state": "string",
- "postCode": "string",
- "county": "string",
- "country": "string",
- "stateAbbr": "string",
- "countryAbbr": "string",
- "countryAlpha2": "string",
- "countryAlpha3": "string",
- "countryNumeric": "string",
- "fullString": "string",
- "timezone": "string",
- "timezoneRawOffset": "string",
- "timezoneAbbr": "string"
}, - "companyLocation": {
- "street1": "string",
- "street2": "string",
- "street3": "string",
- "city": "string",
- "state": "string",
- "postCode": "string",
- "county": "string",
- "country": "string",
- "stateAbbr": "string",
- "countryAbbr": "string",
- "countryAlpha2": "string",
- "countryAlpha3": "string",
- "countryNumeric": "string",
- "fullString": "string"
}, - "website": "string",
- "email1": "string",
- "email1Selected": true,
- "email1TotalAI": "string",
- "email1EmailAI": "string",
- "email2": "string",
- "email2TotalAI": "string",
- "email2EmailAI": "string",
- "email3": "string",
- "email3TotalAI": "string",
- "email3EmailAI": "string",
- "jobHistory": [
- {
- "companyName": "string",
- "title": "string",
- "startedAt": "2019-08-24T14:15:22Z",
- "endedAt": "2019-08-24T14:15:22Z"
}
], - "apiResearchId": "string"
}
]
}Get a list of companies from your orgs
| page | integer Default: 1 Example: page=1 The page number to retrieve. |
| limit | integer <= 500 Default: 500 Example: limit=100 The number of results per page. |
| startDate required | string <date> Example: startDate=2020-01-01T10:00:00Z An ISO8601 date time string that defines the start date of the lookback period to return results from. |
| endDate required | string <date> Example: endDate=2020-01-01T11:00:00Z An ISO8601 date time string that defines the end date of the lookback period to return results from. |
{- "data": [
- {
- "advertisingIntelligenceUrl": "string",
- "alexaScoreUrl": "string",
- "annualRevenue": "string",
- "apiResearchId": "research-123",
- "phones": "string",
- "phonesAiScores": "string",
- "createdAt": "2024-04-21T14:30:00.000Z",
- "description": "string",
- "domain": "string",
- "employeeReviewsUrl": "string",
- "foundedOn": "string",
- "googleFinanceUrl": "string",
- "googleResearchUrl": "string",
- "industries": "string",
- "intelUrl": "string",
- "jobPostingsUrl": "string",
- "linkedInProfileUrl": "string",
- "linkedInId": "string",
- "localSportsTeamsUrl": "string",
- "localWeatherUrl": "string",
- "location": {
- "street1": "string",
- "city": "string",
- "state": "string",
- "postCode": "string",
- "country": "string",
- "countryAbbr": "string",
- "countryAlpha2": "string",
- "countryAlpha3": "string",
- "fullString": "string"
}, - "name": "string",
- "newsUrl": "string",
- "paidSearchIntelligenceUrl": "string",
- "paidSearchKeywordsIntelligenceUrl": "string",
- "revenueRange": "string",
- "searchMarketingIntelligenceUrl": "string",
- "secFilingsUrl": "string",
- "seoResearchUrl": "string",
- "sicCode": "string",
- "similarWebsitesUrl": "string",
- "socialMediaMentionsUrl": "string",
- "socialMediaPostsUrl": "string",
- "socialPostsUrl": "string",
- "staffCount": "string",
- "staffCountRange": "string",
- "topTechnologies": "string",
- "updatedAt": "2024-04-21T14:30:00.000Z",
- "webTechnologiesUrl": "string",
- "websiteAuditUrl": "string",
- "websiteAudit2Url": "string",
- "websiteGraderUrl": "string",
- "whoisUrl": "string",
- "wikipediaUrl": "string",
- "yahooFinanceUrl": "string"
}
]
}